Skip to main content
`Ctrl`+`K`

# TSGLLERegister

adds a `TSGLLE` implementation

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLERegister(const char sname[], PetscErrorCode (*function)(TS))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of user-defined general linear scheme

- function - routine to create method context

## Note

`TSGLLERegister()` may be called multiple times to add several user-defined families.

## Example Usage

      TSGLLERegister("my_scheme", MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

    TSGLLESetType(ts, "my_scheme")

or at runtime via the option

    -ts_gl_type my_scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSGLLE`, `TSGLLEType`, `TSGLLERegisterAll()`

## Level

advanced

## Location

src/ts/impls/implicit/glle/glle.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages